Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1363712

Summary: fontopia breaks showconsolefont
Product: [Fedora] Fedora Reporter: Don Swaner <dswaner>
Component: fontopiaAssignee: Mohammed Isam <mohammed_isam1984>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: mohammed_isam1984
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-31 13:27:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Don Swaner 2016-08-03 12:12:40 UTC
Description of problem:
fontopia resets terminal such that showconsolefont displays garbage

Version-Release number of selected component (if applicable):
fontopia-1.3-1.fc24.x86_64
kbd-2.0.3-3.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. login to console
2. run showconsolefont
3. run fontopia, and exit (CTRL+Q)
4. run showconsolefont
5. run stty sane
6. run showconsolefont

Actual results:
showconsolefont works before fontopia, but not after.

Expected results:
showconsolefont works after fontopia.

Additional info:
Logging out of console and logging back in does not fix the problem.

Comment 1 Don Swaner 2016-08-03 14:17:08 UTC
Running a "reset" command fixes the problem.

Comment 2 Don Swaner 2016-08-03 15:17:18 UTC
"reset" must be run each time after using fontopia.

Comment 3 Mohammed Isam 2016-08-04 15:34:51 UTC
(In reply to Don Swaner from comment #2)
> "reset" must be run each time after using fontopia.

Actually this turned out to be a bug in GnuDOS package, not fontopia.
I posted a bugfix update for GnuDOS through Bodhi (https://bodhi.fedoraproject.org/updates/FEDORA-2016-fee9246c9d). This should fix the problem.